[mod_python] compile issues

James Mills prologic at shortcircuit.net.au
Fri Jul 21 20:38:39 EDT 2006

Hi all,

With the current version of mod_python there are problems
with the configure script which I haven't been able to
fix/patch myself, so I'm asking for your help :)

checking what libraries Python was linked with... -lpython2.4
-lpthread -ldl  -lutil   -lm               
checking linker flags used to link Python... 
checking where Python include files are... -I/usr/include/python2.4
./configure: line 3427: syntax error near unexpected token `('
./configure: line 3427: `  as_lineno_3=`(expr $as_lineno_1 + 1)
=======> ERROR: Building
'/data/crux/packages/mod_python#3.2.8-2.pkg.tar.gz' failed.

-- Packages where update failed

Relevant version information:

# prt-get listinst bash -v
bash 3.1.17-1
# prt-get listinst gcc -v 
gcc 4.0.3-2
# prt-get listinst glibc -v
glibc 2.3.6-2
# prt-get listinst mod_python -v
mod_python 3.2.5b-2

mod_python I'm trying to install:

mod_python 3.2.8


-"Problems are Solved by Method"
- James Mills <prologic at shortcircuit.net.au>
- HomePage: http://shortcircuit.net.au/~prologic/
- Phone: +61732166379
- Mobile: +61404270962
- Skype: therealprologic
- MSN: prologic at shortcircuit.net.au
- ICQ: 98888663
- IRC: irc://shortcircuit.net.au#se

Please avoid sending me Word or PowerPoint attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html

More information about the Mod_python mailing list